Foreman doesn't see puppet environment's modulepath changes until restart
03/17/2011 03:59 PM - Marcello de Sousa
Pull request:

Description

I manage my modulepaths via puppet recipes. When they change, puppet sees it, but Foreman doesn't until | restart it.
As discussed with Ohad (on IRC) :
<marcellods> btw, is it normal that I have to restart foreman when a modulepath (from a puppet env

ironment) changes *?
< ohadlevy> marcellods: yeah, foreman reads puppet config upon initialization

< ohadlevy> marcellods: unless you run it via rake

< ohadlevy> it would take longer, but we can check if the modulepath changed

(ooo)

< ohadlevy> marcellods: ... 1 think that the rake task should detect it

< ohadlevy> marcellods: it should not detect it when you click on import from the ui

Related issues:
Related to Foreman - Bug #565: "rake puppet:import:puppet_classes" not detect... Closed 01/04/2011

Associated revisions

Revision ¢1303d66 - 05/02/2011 07:23 AM - Marcello de Sousa

Fixes #756 - Foreman should now detect changes in puppet.conf (eg: environments) when importing classes

Signed-off-by: Marcello de Sousa <foreman-dev@area151.com>

History

#1 - 03/22/2011 03:18 PM - Marcello de Sousa

As discussed while testing Bug #565: if Foreman is not restarted, changes in the environment configuration (new environment, change in
modulepaths,etc) won't be seen.

This was creating a strange effect here:
- A new environment was created and imported via rake import task (the task sees the changes)
- Then on the GUI another a user trying to import a new class would see that environment as obsolete.

So, it would be nice if Foreman could always see changes in the puppet config without the need to restart it (like the rake task does).
#2 - 05/02/2011 07:24 AM - Anonymous

- Status changed from New to Ready For Testing
- % Done changed from 0 to 100

Applied in changeset ¢1303d66037c2d87faa4a07fd2{562d6e331bc28.

#3 - 05/02/2011 07:24 AM - Ohad Levy
- Status changed from Ready For Testing to Closed

- Assignee changed from Ohad Levy to Marcello de Sousa
